Skip to main content
`Ctrl`+`K`

# MatCUSPARSESetFormat

Sets the storage format of `MATSEQCUSPARSE` matrices for a particular operation. Only the `MatMult()` operation can use different GPU storage formats

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCUSPARSESetFormat(Mat A, MatCUSPARSEFormatOperation op, MatCUSPARSEStorageFormat format)

Not Collective

## Input Parameters

- A - Matrix of type `MATSEQAIJCUSPARSE`

- op - `MatCUSPARSEFormatOperation`. `MATSEQAIJCUSPARSE` matrices support `MAT_CUSPARSE_MULT` and `MAT_CUSPARSE_ALL`. `MATMPIAIJCUSPARSE` matrices support `MAT_CUSPARSE_MULT_DIAG`,`MAT_CUSPARSE_MULT_OFFDIAG`, and `MAT_CUSPARSE_ALL`.

- format - `MatCUSPARSEStorageFormat` (one of `MAT_CUSPARSE_CSR`, `MAT_CUSPARSE_ELL`, `MAT_CUSPARSE_HYB`.)

## See Also

Matrices, `Mat`, `MATSEQAIJCUSPARSE`, `MatCUSPARSEStorageFormat`, `MatCUSPARSEFormatOperation`

## Level

intermediate

## Location

src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

## Implementations

MatCUSPARSESetFormat_MPIAIJCUSPARSE() in src/mat/impls/aij/mpi/mpicusparse/mpiaijcusparse.cu
MatCUSPARSESetFormat_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages